GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::operation::valid::SimpleNestedRingTester Class Reference

Tests whether any of a set of LinearRings are nested inside another ring in the set, using a simple O(n^2) comparison. More...

`#include <SimpleNestedRingTester.h>`

## Public Member Functions
| SimpleNestedRingTester (geomgraph::GeometryGraph *newGraph)
void | add (geom::LinearRing *ring)
geom::Coordinate * | getNestedPoint ()
bool | isNonNested ()

## Detailed Description

Tests whether any of a set of LinearRings are nested inside another ring in the set, using a simple O(n^2) comparison.

The documentation for this class was generated from the following file:

- SimpleNestedRingTester.h